package com.bytedance.android.livesdk.livesetting.message;

import X.2HN;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;
import java.util.List;

@SettingsKey("live_message_dispatch_config_anchor")
public final class LiveMessageDispatchSettingAnchor {
    @Group(isDefault = true, value = "default group")
    public static final LiveMessageDispatchConfig DEFAULT;
    public static final LiveMessageDispatchSettingAnchor INSTANCE = new LiveMessageDispatchSettingAnchor();
    public static LiveMessageDispatchConfig liveMessageDispatchConfig;

    public final List<String> directDispatchAllowList() {
        return liveMessageDispatchConfig.getDirectDispatchAllowList();
    }

    public final List<String> directDispatchP2pBlockList() {
        return liveMessageDispatchConfig.getDirectDispatchP2pBlockList();
    }

    public final boolean directDispatchP2pMsg() {
        return liveMessageDispatchConfig.getDirectDispatchP2pMsg();
    }

    public final boolean smoothDispatchOptimize() {
        return liveMessageDispatchConfig.getSmoothDispatchOptimize();
    }

    static {
        Covode.recordClassIndex(18014);
        LiveMessageDispatchConfig liveMessageDispatchConfig2 = new LiveMessageDispatchConfig(false, false, (List) null, (List) null, 15, (2HN) null);
        DEFAULT = liveMessageDispatchConfig2;
        LiveMessageDispatchConfig liveMessageDispatchConfig3 = (LiveMessageDispatchConfig) SettingsManager.INSTANCE.getValueSafely(LiveMessageDispatchSettingAnchor.class);
        if (liveMessageDispatchConfig3 != null) {
            liveMessageDispatchConfig2 = liveMessageDispatchConfig3;
        }
        liveMessageDispatchConfig = liveMessageDispatchConfig2;
    }
}
